Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Проблема с обновлением dpkg  (Прочитано 702 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн reindjer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Проблема с обновлением dpkg
« : 01 Октябрь 2011, 22:03:55 »
Здравствуйте)) Предупреждаю сразу, самый-самый начинающий я. Установил сегодня ubuntu junior cube 1.4 (понравилась, очень быстрая), а там минус для меня не оказался usb-modeswitch чтобы мтс модем свой подключать. Решил, что поставлю. Вроде показалось легко, а потом столкнулся с ошибкой.

Сначала я с pkgs.org попытался установить usb-modeswitch_1.1.9-2_i386.deb, а он требует usb-modeswitch-data. Ну ладно на тебе usb-modeswitch-data_20110805-1_all.deb А он опять про зависимости. Теперь уже нужен dpkg_1.16.0~ubuntu7_i386.deb Пытаюсь ставить его... такая ошибка: "Breaks existing package 'grub-common' dependency dpkg (<= 1.14.25)". Ниже написано было что-то про установку dpkg-dev. Ну, думаю, его надо сначала поставить. Скачиваю dpkg-dev. Он в свою очередь просит libdpkg-perl, который в свою очередь требует dpkg!! Заколдованный круг какой-то!... Ну думаю, наверное dpkg надо сначала удалить. Попытался, а таааам столько зависимостей, что я так думаю, если бы я его удалил у мя уже ничего бы не загружалось. В общем вот. Что посоветуете?

Ах да... вот еще что-то подобное нашел вот по этой ссылке http://ubuntuforums.org/archive/index.php/t-1713398.html
но что-то я там ничего не понял(((
« Последнее редактирование: 01 Октябрь 2011, 22:10:36 от reindjer »

Оффлайн Sly_tom_cat

  • Don't worry, be happy!
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 12090
  • Xubuntu 20.04
    • Просмотр профиля
    • Github
Re: Проблема с обновлением dpkg
« Ответ #1 : 01 Октябрь 2011, 22:14:42 »
Так и не понял - как вы ставили... в синаптике есть этот usb-modeswitch и потянет зависимости так и сам их удовлетворит.

sudo apt-get install usb-modeswitch - тоже покажет зависимости и предложит их скачать и поставить - вам надо только согласиться.
Индикатор для Yandex-Disk: https://forum.ubuntu.ru/index.php?topic=241992
UEFI-Boot - грузимся без загрузчика: https://help.ubuntu.ru/wiki/uefiboot

Оффлайн reindjer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Проблема с обновлением dpkg
« Ответ #2 : 01 Октябрь 2011, 23:10:53 »
искал я в синаптике до того как начать вручную ставить - нету его там... пытался и в терминале такую команду давать, говорил что не найден usb-modeswitch.
А как я usb-modeswitch ставил я ж говорю, сначала пытался поставить usb-modeswitch и usb-modeswitch-data. Но они не ставятся так как требуют более новую версию dpkg. Пытаюсь обновить dpkg, но вылетает ошибка "Breaks existing package 'grub-common' dependency dpkg (<= 1.14.25)"

Оффлайн floode!5

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Проблема с обновлением dpkg
« Ответ #3 : 01 Октябрь 2011, 23:12:23 »
dpkg -установщик пакетов.

Оффлайн reindjer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Проблема с обновлением dpkg
« Ответ #4 : 01 Октябрь 2011, 23:25:46 »
и? :(

Оффлайн floode!5

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Проблема с обновлением dpkg
« Ответ #5 : 01 Октябрь 2011, 23:52:01 »
ну не рекомендую его сносить

Оффлайн reindjer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Проблема с обновлением dpkg
« Ответ #6 : 02 Октябрь 2011, 18:42:40 »
да это то мне понятно(( вот как бы обновить бы этот dpkg, никто не знает?

 

Страница сгенерирована за 0.073 секунд. Запросов: 25.